org.apache.sysds.runtime.privacy.propagation

## Interface PropagatorMultiReturn

All Known Implementing Classes:
  ListRemovePropagator

    public interface PropagatorMultiReturn

Interface for all propagator instances with multiple outputs.

### Method Summary

All Methods Instance Methods Abstract Methods
`PrivacyConstraint[]` `propagate()` Activates the propagation and returns the output privacy constraints.

### Method Detail

#### propagate

    PrivacyConstraint[] propagate()

Activates the propagation and returns the output privacy constraints.

Returns:
  output privacy constraints.